camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Charles Moulliard <cmoulli...@gmail.com>
Subject Re: Camel-ftp component problem
Date Tue, 13 Apr 2010 15:34:33 GMT
Which version of Java are you using (5 or 6) ? If you use JDK 6, those
classes are provided by the jdk

To allow the osgi server (felix) to load at the startup the javax.xml.bind
classes, you must uncomment the following line under the file
etc/config.properties

# javax.xml.bind, \
# javax.xml.bind.annotation, \
# javax.xml.bind.annotation.adapters, \
# javax.xml.bind.attachment, \
# javax.xml.bind.helpers, \
# javax.xml.bind.util, \

Kind regards,

Charles Moulliard
Senior Enterprise Architect
Apache Camel Committer

*****************************
blog : http://cmoulliard.blogspot.com
twitter : http://twitter.com/cmoulliard
Linkedlin : http://www.linkedin.com/in/charlesmoulliard

Apache Camel Group :
http://www.linkedin.com/groups?home=&gid=2447439&trk=anet_ug_hm


On Tue, Apr 13, 2010 at 5:29 PM, olamalam <ilker.cikrikcili@aspone.co.uk>wrote:

>
> Hello again Willem,
>
> I tried to install camel-ftp in Felix Karaf 1.4.0 too but it is requesting
> some libraries (for ex: javax.xml.bind) included in Java sdk. Should I also
> install those bundles too?
>
> Please note that I run this command:
> >osgi:install -s mvn:org.apache.camel/camel-ftp/2.2.0
>
> Thanks
>
>
> willem.jiang wrote:
> >
> > Can you also try Felix Karaf 1.4.0 which is latest release version of
> > ServiceMix kernel ?
> > And using feature:install camel-ftp to install the bundle for camel-ftp.
> >
> > Willem
> >
> > olamalam wrote:
> >> Hi willem,
> >>
> >> I uninstalled camel-spring & camel-osgi and installed camel-spring-osgi.
> >> but I'm still getting the same exception.
> >>
> >>
> >>
> >> willem.jiang wrote:
> >>> Hi,
> >>>
> >>> Please make sure you didn't install camel-spring-osgi and camel-spring
> >>> bundle at the same time.
> >>> We merged the camel-sping and camel-osgi bundle into camel-spring-osgi
> >>> in Camel 2.2, so you just need to install camel-spring-osgi bundle
> >>> instead of camel-spring and camel-osgi.
> >>>
> >>> Willem
> >>>
> >>> olamalam wrote:
> >>>> Hi to all,
> >>>>
> >>>> I'm trying to develop a hello world bundle for serviceMix kernel (1.1)
> >>>> which
> >>>> uses camel-ftp component.
> >>>> My aim is to run this route:
> >>>> from("file://../data?noop=true").to("ftp://test@
> 127.0.0.1:21/?password=test");
> >>>> Although this route runs without problem in a stand alone application,
> >>>> when
> >>>> i deploy it in serviceMix kernel
> >>>> I get FailedToCreateRouteException due to "No component found with
> >>>> scheme:
> >>>> ftp".
> >>>>
> >>>> To solve the problem what i did so far are:
> >>>> 1- deployed camel-ftp 2.2 bundle to serviceMix.
> >>>> 2- added camel-ftp package (org.apache.camel.component.file.remote)
to
> >>>> import-packages.
> >>>> now when I run "headers bundle#" in serviceMix I can see this imported
> >>>> package.
> >>>>
> >>>> What else I can do?
> >>>> Thanks in advance
> >>>
> >>>
> >>
> >
> >
> >
>
> --
> View this message in context:
> http://old.nabble.com/Camel-ftp-component-problem-tp28218210p28231893.html
> Sent from the Camel - Users mailing list archive at Nabble.com.
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message